resource "aws_iam_role" "cloudwatch" {
  name = "cloudwatch"
  assume_role_policy =  "${file("${path.module}/assume_role.json")}"
  lifecycle {
    create_before_destroy = true
  }
}

resource "aws_iam_instance_profile" "cloudwatch" {
  name = "cloudwatch"
  roles = ["${aws_iam_role.cloudwatch.name}"]
  lifecycle {
    create_before_destroy = true
  }
}

resource "aws_iam_policy" "cloudwatch" {
   name = "cloudwatch"
   policy = "${file("${path.module}/role_policy.json")}"
}

resource "aws_iam_policy_attachment" "cloudwatch" {
   name = "cloudwatch"
   roles = ["${aws_iam_role.cloudwatch.name}"]
   policy_arn = "${aws_iam_policy.cloudwatch.arn}"
}

output "name" {value = "${aws_iam_role.cloudwatch.name}"}
output "policy" {value = "${aws_iam_policy.cloudwatch.name}"}
output "profile_id" {value = "${aws_iam_instance_profile.cloudwatch.id}"}
